.TH "ZIP_REGISTER_PROGRESS_CALLBACK" "3" "December 18, 2016" "NiH" "Library Functions Manual"
.nh
.if n .ad l
.SH "NAME"
\fBzip_register_progress_callback\fR
\- provide updates during zip_close
.SH "LIBRARY"
libzip (-lzip)
.SH "SYNOPSIS"
\fB#include <zip.h>\fR
.sp
\fItypedef void (*zip_progress_callback_t)(double);\fR
.sp
\fIvoid\fR
.PD 0
.HP 4n
\fBzip_register_progress_callback\fR(\fIzip_t\ *archive\fR, \fIzip_progress_callback_t\ progress_callback\fR);
.PD
.SH "DESCRIPTION"
The
\fBzip_register_progress_callback\fR()
function registers a callback function
\fIprogress_callback\fR
for the zip archive
\fIarchive\fR.
This function is called during
zip_close(3)
after every zip archive entry that's completely written to disk.
The value is a
\fIdouble\fR
in the range from 0.0 to 1.0.
This can be used to provide progress indicators for user interfaces.
.SH "SEE ALSO"
libzip(3),
zip_close(3)
.SH "AUTHORS"
Dieter Baron <\fIdillo@nih.at\fR>
and
Thomas Klausner <\fItk@giga.or.at\fR>
